Bug 1502194 - [abrt] dnfdragora-gui: __call__(): __init__.py:244:_handle_dbus_error:dnfdaemon.client.LockedError: dnf is locked by another application (36)
Summary: [abrt] dnfdragora-gui: __call__(): __init__.py:244:_handle_dbus_error:dnfdaem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:edfb4e8719ee75ac877ee0d1ff1...
: 1551233 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-15 04:50 UTC by Adam Goode
Modified: 2018-03-03 19:44 UTC (History)
10 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:28:15 UTC


Attachments (Terms of Use)
File: backtrace (1.77 KB, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details
File: cpuinfo (1.36 KB, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details
File: environ (2.17 KB, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details
File: mountinfo (3.81 KB, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details
File: namespaces (102 bytes, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details
File: open_fds (866 bytes, text/plain)
2017-10-15 04:50 UTC, Adam Goode
no flags Details

Description Adam Goode 2017-10-15 04:50:28 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.2
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.4-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:244:_handle_dbus_error:dnfdaemon.client.LockedError: dnf is locked by another application (36)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 368, in Unlock
    self.daemon.Unlock()
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 191, in __call__
    None)
GLib.GError: g-io-error-quark: GDBus.Error:org.baseurl.DnfSystem.LockedError: dnf is locked by another application (36)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 25, in <module>
    dnfdragora.updater.Updater().main()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 156, in main
    self.__tray.run(self.__main_loop())
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 151, in __main_loop
    self.__get_updates()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 117, in __get_updates
    return self.__get_updates_func(False)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 128, in __get_updates_func
    self.__backend.Unlock()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 370, in Unlock
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 244, in _handle_dbus_error
    raise LockedError(msg)
dnfdaemon.client.LockedError: dnf is locked by another application (36)

Local variables in innermost frame:
msg: 'dnf is locked by another application (36)'
exc: 'org.baseurl.DnfSystem.LockedError'
err: GLib.Error('GDBus.Error:org.baseurl.DnfSystem.LockedError: dnf is locked by another application', 'g-io-error-quark', 36)
self: <dnfdaemon.client.Client object at 0x7f9b740c6828>

Potential duplicate: bug 1471460

Comment 1 Adam Goode 2017-10-15 04:50:34 UTC
Created attachment 1338753 [details]
File: backtrace

Comment 2 Adam Goode 2017-10-15 04:50:35 UTC
Created attachment 1338754 [details]
File: cgroup

Comment 3 Adam Goode 2017-10-15 04:50:36 UTC
Created attachment 1338755 [details]
File: cpuinfo

Comment 4 Adam Goode 2017-10-15 04:50:37 UTC
Created attachment 1338756 [details]
File: environ

Comment 5 Adam Goode 2017-10-15 04:50:38 UTC
Created attachment 1338757 [details]
File: mountinfo

Comment 6 Adam Goode 2017-10-15 04:50:39 UTC
Created attachment 1338758 [details]
File: namespaces

Comment 7 Adam Goode 2017-10-15 04:50:41 UTC
Created attachment 1338759 [details]
File: open_fds

Comment 8 Kyle Marek 2017-11-24 21:29:58 UTC
Similar problem has been detected:

Made dnfdragora-updater check for updates, and immediately opened dnfdragora GUI before dnfdragora-updater notified me of 0 updates being available.

reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.13-300.fc27.x86_64
package:        dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27
reason:         __init__.py:244:_handle_dbus_error:dnfdaemon.client.LockedError: dnf is locked by another application (36)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 9 Paulim_hed 2017-12-09 21:43:09 UTC
*** Bug 1524072 has been marked as a duplicate of this bug. ***

Comment 10 Leonardo Costa 2017-12-11 13:48:31 UTC
*** Bug 1524433 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2017-12-29 23:23:19 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 12 Fedora Update System 2017-12-29 23:27:43 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 13 Fedora Update System 2017-12-30 19:54:38 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 14 Fedora Update System 2017-12-30 20:40:24 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 15 Fedora Update System 2017-12-31 21:28:15 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-01-01 22:11:52 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Anthony Staunton 2018-01-05 14:25:03 UTC
*** Bug 1531564 has been marked as a duplicate of this bug. ***

Comment 18 Alessio Ballarin 2018-03-03 19:44:26 UTC
*** Bug 1551233 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.